in scala.xml
class ProcInstr

`case class` ProcInstr
  `extends` scala.xml.SpecialNode
  `with` scala.ScalaObject
  `with` scala.Product

  an XML node for processing instructions (PI)

Author:
  Burak Emir

Constructor Summary
| `def` this (target: java.lang.String, proctext: java.lang.String)

Val Summary
| `val` proctext : java.lang.String
| `val` target : java.lang.String

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` arity : scala.Int
`final` `override` | `def` element (x$1: scala.Int) : scala.Any
`override` | `def` equals (x: scala.Any) : scala.Boolean structural equality
`override` | `def` hashCode : scala.Int hashcode for this PI
`final` | `def` label : java.lang.String the constant "#PI"
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` text : java.lang.String
`override` | `def` toString (sb: scala.compat.StringBuilder) : scala.compat.StringBuilder appends "<?" target (" "+text)?+"?>" to this stringbuffer.
`final` `override` | `def` typeTag$ : scala.Int

Def inherited from scala.xml.SpecialNode
attributes , child, namespace, toString

Def inherited from scala.Product
arity , element, productPrefix

Constructor Detail

`def` this (target: java.lang.String, proctext: java.lang.String)

Parameters:
  `target -` target name of this PI
Parameters:
  `text -` text contained in this node, may not contain "?>"

Val Detail

`val` proctext : java.lang.String

`val` target : java.lang.String

Def Detail

`final override def` $tag : scala.Int

`final override def` arity : scala.Int

`final override def` element (x$1: scala.Int): scala.Any

`override def` equals (x: scala.Any): scala.Boolean

  structural equality

`override def` hashCode : scala.Int

  hashcode for this PI

`final def` label : java.lang.String

  the constant "#PI"

`final override def` productPrefix : java.lang.String

`override def` text : java.lang.String

`override def` toString (sb: scala.compat.StringBuilder): scala.compat.StringBuilder

  appends "<?" target (" "+text)?+"?>" to this stringbuffer.

`final override def` typeTag$ : scala.Int